import type { Theme } from '../../lib/theming/Theme.js';
export declare const getMenuItemPaddings: ({ menuItemPaddingX, menuItemPaddingY, }: Record<"menuItemPaddingX" | "menuItemPaddingY", string>) => Record<"paddingX" | "paddingY", string>;
export declare const getStyles: import("../../lib/theming/Emotion.js").StylesGetter<{
    root(t: Theme): string;
    rootSmall(t: Theme): string;
    rootMedium(t: Theme): string;
    rootLarge(t: Theme): string;
    rootMobile(t: Theme): string;
    hover(t: Theme): string;
    selected(t: Theme): string;
    disabled(t: Theme): string;
    nonSelectable(): string;
    loose(): string;
    withIconSmall(t: Theme): string;
    withIconMedium(t: Theme): string;
    withIconLarge(t: Theme): string;
    comment(t: Theme): string;
    commentHover(t: Theme): string;
    icon(): string;
    iconSmall(t: Theme): string;
    iconMedium(t: Theme): string;
    iconLarge(t: Theme): string;
    mobileContentWithIcon(): string;
}>;
